#!/usr/bin/env perl

use strict;
use warnings;

chomp(my $os = lc(`uname`));

# define the subroutine for creating sections easely
sub section
{
	my($color, $data) = @_;

	return if $data eq '';

	print "#[fg=colour$color] $data";
	print "#[fg=colour8] ║";
}

# define the subroutines that generate the data
sub battery
{
	chomp(my $output = `battery`);
	$output =~ s/\n/ /g;
	return $output;
}

sub inet
{
	my $device = "enp10s0";

	chomp(my $output = `inet $device`);
	return $output;
}

sub load
{
	chomp(my $output = `load`);
	return $output;
}

sub mem
{
	chomp(my $output = `free -h | grep "Mem:" | awk '{print \$3}'`);
	return $output;
}

# set the sections
&section(12, &inet);
&section(2, &load);
&section(2, &mem);
&section(11, &battery);
